:root {
    --white: rgba(254, 254, 254, .8);
    --grey: #868E96;
    --black: #000000;
    --color_back: white;
    --color_blue: #1d2c65;
    --dark_green: #60A018;
    --light_green: #DADB85;
}

*,
*::after,
*::before {
    box-sizing: border-box;
}

@font-face {
    font-family: 'Aurelia';
    font-style: normal;
    font-weight: 400;
    src: url('fonts/Aurelia.eot');
    src: local('open sans extralight'), local('open-sans-extralight'), 
    url('fonts/Aurelia.eot?#iefix') format('embedded-opentype'), 
    url('fonts/Aurelia.woff2') format('woff2'), url('fonts/Aurelia.woff') format('woff'), 
    url('fonts/Aurelia.ttf') format('truetype'), url('fonts/Aurelia.svg#Barlow') format('svg');
}
@font-face {
    font-family: 'DejaVuSans';
    font-style: normal;
    font-weight: 400;
    src: url('fonts/DejaVuSans.eot');
    src: local('open sans extralight'), local('open-sans-extralight'), 
    url('fonts/DejaVuSans.eot?#iefix') format('embedded-opentype'), 
    url('fonts/DejaVuSans.woff2') format('woff2'), url('fonts/DejaVuSans.woff') format('woff'), 
    url('fonts/DejaVuSans.ttf') format('truetype'), url('fonts/DejaVuSans.svg#Barlow') format('svg');
}

@font-face {
    font-family: 'Libre Baskerville';
    font-style: normal;
    font-weight: 400;
    src: url('fonts/LibreBaskerville-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Dancing Script';
    font-style: normal;
    font-weight: 400;
    src: url('fonts/DancingScript-VariableFont_wght.ttf') format('truetype');
}

html { 
    scroll-behavior: smooth;
    text-align: center;
    width: 100vw;
}

body {
    margin: 0;
    width: 100vw;
    font-weight: 400;
    font-family: 'DejaVu Sans', Arial, Helvetica, sans-serif;
    font-size: 1rem;
}

.contact_icon {
    width: 45px;
    height: 45px;
    margin-right: 10px;
    -webkit-transition: all .4s cubic-bezier(.22, .46, .5, .98);
    -moz-transition: all .4s cubic-bezier(.22, .46, .5, .98);
    -o-transition: all .4s cubic-bezier(.22, .46, .5, .98);
    -ms-transition: all .4s cubic-bezier(.22, .46, .5, .98);
    transition: all .4s cubic-bezier(.22, .46, .5, .98);
}

.contact_icon:last-child {
    margin-right: 0;
}

.contact_icon:hover,
.contact_icon:active {
    transform: scale( 1.3);
}

.contact_icon>.line {
    fill: var(--black);
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    transition: all .4s;
}

.contact_icon:hover .line,
.contact_icon:active .line {
    fill: var(--color_back);
}

/* pinterest */

.contact_icon #SVGID_1a {
    stop-color: var(--color_back);
    -webkit-transition: all .4s;
    -moz-transition: all .4s;
    -o-transition: all .4s;
    -ms-transition: all .4s;
    transition: all .4s;
}

.contact_icon:hover #SVGID_1a,
.contact_icon:active #SVGID_1a {
    stop-color: #e13719;
}

.contact_icon #SVGID_1b {
    stop-color: var(--color_back);
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    transition: all 1s;
}

.contact_icon:hover #SVGID_1b,
.contact_icon:active #SVGID_1b {
    stop-color: #d02708;
}

.contact_icon #SVGID_1c {
    stop-color:var(--color_back);
    -webkit-transition: all 1.5s;
    -moz-transition: all 1.5s;
    -o-transition: all 1.5s;
    -ms-transition: all 1.5s;
    transition: all 1.5s;
}

.contact_icon:hover #SVGID_1c,
.contact_icon:active #SVGID_1c {
    stop-color: #ca2028;
}

/* facebook */

.contact_icon #SVGID_2a {
    stop-color: var(--color_back);
    -webkit-transition: all .4s;
    -moz-transition: all .4s;
    -o-transition: all .4s;
    -ms-transition: all .4s;
    transition: all .4s;
}

.contact_icon:hover #SVGID_2a,
.contact_icon:active #SVGID_2a {
    stop-color: #8bb7f0;
}

.contact_icon #SVGID_2b {
    stop-color: var(--color_back);
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    transition: all 1s;
}

.contact_icon:hover #SVGID_2b,
.contact_icon:active #SVGID_2b {
    stop-color: #1877f2;
}

.contact_icon #SVGID_2c {
    stop-color: var(--color_back);
    -webkit-transition: all 1.5s;
    -moz-transition: all 1.5s;
    -o-transition: all 1.5s;
    -ms-transition: all 1.5s;
    transition: all 1.5s;
}

.contact_icon:hover #SVGID_2c,
.contact_icon:active #SVGID_2c {
    stop-color: #1c407c;
}

/* instagram */

.contact_icon #SVGID_3a {
    stop-color: var(--color_back);
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    transition: all 1s;
}

.contact_icon:hover #SVGID_3a,
.contact_icon:active #SVGID_3a {
    stop-color: #FED576;
}

.contact_icon #SVGID_3b {
    stop-color: var(--color_back);
    -webkit-transition: all .3s;
    -moz-transition: all .3s;
    -o-transition: all .3s;
    -ms-transition: all .3s;
    transition: all .3s;
}

.contact_icon:hover #SVGID_3b,
.contact_icon:active #SVGID_3b {
    stop-color: #F47133;
}

.contact_icon #SVGID_3c {
    stop-color: var(--color_back);
    -webkit-transition: all .6s;
    -moz-transition: all .6s;
    -o-transition: all .6s;
    -ms-transition: all .6s;
    transition: all .6s;
}

.contact_icon:hover #SVGID_3c,
.contact_icon:active #SVGID_3c {
    stop-color: #BC3081;
}

.contact_icon #SVGID_3d {
    stop-color: var(--color_back);
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    transition: all 1s;
}

.contact_icon:hover #SVGID_3d,
.contact_icon:active #SVGID_3d {
    stop-color: #4C63D2;
}

/* mail */

.contact_icon #SVGID_5a {
    stop-color: var(--color_back);
    -webkit-transition: all .3s;
    -moz-transition: all .3s;
    -o-transition: all .3s;
    -ms-transition: all .3s;
    transition: all .3s;
}

.contact_icon:hover #SVGID_5a,
.contact_icon:active #SVGID_5a {
    stop-color: #12f912;
}

.contact_icon #SVGID_5b {
    stop-color: var(--color_back);
    -webkit-transition: all .6s;
    -moz-transition: all .6s;
    -o-transition: all .6s;
    -ms-transition: all .6s;
    transition: all .6s;
}

.contact_icon:hover #SVGID_5b,
.contact_icon:active #SVGID_5b {
    stop-color: #00d500;
}

.contact_icon #SVGID_5c {
    stop-color: var(--color_back);
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    transition: all 1s;
}

.contact_icon:hover #SVGID_5c,
.contact_icon:active #SVGID_5c {
    stop-color: #009c00;
}

.contact_icon #SVGID_5d {
    stop-color: var(--color_back);
    -webkit-transition: all 1.5s;
    -moz-transition: all 1.5s;
    -o-transition: all 1.5s;
    -ms-transition: all 1.5s;
    transition: all 1.5s;
}

.contact_icon:hover #SVGID_5d,
.contact_icon:active #SVGID_5d {
    stop-color: #005400;
}

/* mic */

.contact_icon #SVGID_4a {
    stop-color: var(--color_back);
    -webkit-transition: all .4s;
    -moz-transition: all .4s;
    -o-transition: all .4s;
    -ms-transition: all .4s;
    transition: all .4s;
}

.contact_icon:hover #SVGID_4a,
.contact_icon:active #SVGID_4a {
    stop-color: #fff660;
}

.contact_icon #SVGID_4b {
    stop-color: var(--color_back);
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -ms-transition: all 1s;
    transition: all 1s;
}

.contact_icon:hover #SVGID_4b,
.contact_icon:active #SVGID_4b {
    stop-color: #ffd936;
}

.contact_icon #SVGID_4c {
    stop-color: var(--color_back);
    -webkit-transition: all 1.5s;
    -moz-transition: all .5s;
    -o-transition: all 1.5s;
    -ms-transition: all 1.5s;
    transition: all 1.5s;
}

.contact_icon:hover #SVGID_4c,
.contact_icon:active #SVGID_4c {
    stop-color: #ff6200;
}

.logo {
    position: absolute;
    width: auto;
    height: 8vh;
    right: 3vw;
    top: 1vh;
}

.languages {
    display: flex;
    list-style: none;
    text-align: left;
    justify-content: space-around;
    position: absolute;
    margin-left: 50px;
    z-index: 100;
    color: var(--dark_green);
}

.languages li {
    font-size: 1rem;
    padding: 0.7rem;
    text-transform: uppercase;
    display: block;
}

.languages li a {
    all: unset;
    text-decoration: none;
}

.languages li a:hover,
.languages li a:active {
    color: var(--light_green);
}

.container {
    display: grid;
    grid-template-rows: 100px 100px auto auto auto auto auto;
    grid-template-areas: 
    "logo-lang"
    "navigation"
    "message"
    "contact-form"
    "questions"
    "back"
    "footer";
}

.welcome {
    font-family: 'Libre Baskerville';
    text-transform: uppercase;
    font-size: 1.3rem;
    color: var(--dark_green);
}

.message {
    padding: 10vw;
}

.handwriting {
    font-family: 'Dancing Script';
    color: var(--dark_green);
    font-size: 1.7rem;
}

.subhead::first-letter {
    font-size: 1.3rem;
    line-height: 4vh;
}

.subhead::first-letter {
    -webkit-initial-letter: 3;
            initial-letter: 3;
    color: var(--dark_green);
    font-family: 'Libre Baskerville';
    font-weight: bold;
    margin-right: .1rem;
  }

p a {
    text-decoration: none;
    color: var(--dark_green);
}

p a:active,
p a:hover {
    color: var(--light_green);
}

.go-up {
    width: auto;
    height: 35px;
    margin: 0.4rem;
    cursor: pointer;
}

.go-up:hover,
.go-up:active {
    opacity: .4;
    transition: all .2s ease-in-out .2s;
}

.wrapper {
    position: relative;
    top: 0px;
    width: 95vw;
    height: 110vh;
    margin: auto;
    background-image: url(img/contactmobile.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    justify-items: center;
}

.contact-form {
    position: relative;
    width: 100%;
    height: 80%;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
}

.input-fields {
    display: flex;
    flex-direction: column;
}

.input-fields,
.msg {
    width: 50vw;
    font-size: .8rem;
}

.input-fields .input,
.msg textarea {
    margin: 25px auto;
    background: rgba(255, 255, 255, .8);
    border: 0;
    border-bottom: 1px solid var(--grey);
    padding: 10px;
    color: var(--black);
    width: 50vw;
    font-size: .8rem;
    font-family: 'DejaVuSans';
}

.msg textarea {
    height: 10vh;
}

::-webkit-input-placeholder {
    color: var(--black);
}

::-moz-input-placeholder {
    color:var(--black);
}

::-ms-input-placeholder {
    color: var(--black);
}

input[type=checkbox] + label {
    display: block;
}

input[type=checkbox] {
    display: none;
    cursor: pointer;
}

input[type=checkbox] + label:before {
    display: inline-block;
    content: "\2714";
    border: none;
    border-bottom: 1px solid var(--grey);
    background-color: rgba(255, 255, 255, .8);
    width: 1.4rem;
    height: 1.4rem;
    padding: 2px;
    vertical-align: bottom;
    color: transparent;
    transition: .2s;
}

input[type=checkbox] + label:active:before {
    transform: scale(0);
}

input[type=checkbox]:checked + label:before {
    background-color: var(--dark_green);
    color: var(--color_back);
    font-size: 17px;
    padding-bottom: 7px;
}

.btn {
    background: var(--color_back);
    text-align: center;
    bottom: 30vh;
    padding: 15px;
    width: 40vw;
    border-radius: 2px;
    color: var(--black);
    font-family: 'DejaVuSans';
    font-size: .8rem;
    text-transform: uppercase;
    border: none;
    margin: auto;
    margin-top: 1rem;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, .4);
}

.btn:active,
.btn:hover {
    background-color: var(--dark_green);
    color: white;
    box-shadow: 0px 3px 6px rgba(255, 255, 255, .4);
    transition: all .3s ease-out .3s;
}

.questions {
    width: 80vw;
    margin: auto;
    text-align: justify;
}

.number {
    font-family: 'Libre Baskerville';
    color: var(--dark_green);
    font-size: 1.3rem;
    font-weight: bold;
}

footer {
    width: 100vw;
    background-color: var(--white);
    opacity: .9;
}

  footer ul {
    width: 100vw;
    display: flex;
    position: sticky;
    text-decoration: none;
    list-style: none;
    align-items: center;
    justify-content: center;
    position: relative;
}

footer li {
    padding: 0.4rem;
}

footer li a {
    all: unset;
    text-decoration: none;
    display: block;
}

footer p {
    font-size: 0.6rem;
}

.btn-toggle {
    width: 50px;
    height: 50px;
    position: absolute;
    top: 0;
    background-image: url(icons/menu1.png);
    background-repeat: no-repeat;
    background-size: 80%;
    background-position: center;
    z-index: 1000;
}

.btn-toggle:hover,
.btn-toggle:active {
   opacity: .5;
}

.navv ul {
    visibility: hidden;
}

.nav-sidebar {
    display: flex;
    position: fixed;
    left: 0px;
    top: 0px;
    width: 0px;
    padding: 0 5px;
    height: min-content;
    background-color: rgba(255, 255, 255, .01);
    z-index: 100;
}

.nav-sidebar ul {
    overflow: hidden;
    visibility: hidden;
    left: 0;
}

.nav-sidebar ul li {
    padding-top: 10px;
    line-height: 50px;
    list-style: none;
}

.nav-sidebar ul li a {
    display: block;
    height: 50px;
    text-decoration: none;
    text-transform: uppercase;
    color: var(--black);
    white-space: nowrap;
    opacity: 0;
}

.nav-sidebar ul li a:hover,
.nav-sidebar ul li a:active {
    color: var(--dark_green);
}

.nav-sidebar a::before {
    content: '';
    display: block;
    height: 1px;
    background: var(--dark_green);
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
    -webkit-transition: transform ease-in-out 250ms;
    -moz-transition: transform ease-in-out 250ms;
    -o-transition: transform ease-in-out 250ms;
    -ms-transition: transform ease-in-out 250ms;
}

.nav-sidebar a:hover::before,
.nav-sidebar a:active::before {
    transform: scale(1, 1);
}

/* larger screens menu starts here */

@media screen and (min-width: 768px) {
    .container {
        width: 100vw;
        display: grid;
        grid-template-rows: 100px 100px auto auto auto auto;
        grid-template-areas: 
        "logo-lang"
        "navigation"
        "message"
        "contact-form"
        "questions"
        "back"
        "footer";
    }

    body {
        font-size: 1.1rem;
    }

    .languages li {
        font-size: 1.3rem;
        padding: 1rem;
        color: var(--dark_green);
    }

    .logo {
        height: 80px;
        right: 1vw;
        top: 1vh;
    }

    .btn-toggle {
        display: none;
    }

    .nav-sidebar {
        visibility: hidden;
    }

    .navv ul {
        visibility: visible;
        transition: transform ease-in-out 1s;
        z-index: 100;
        background: var(--white);
        padding: 10px;
    }

    nav {
        all: unset;
        display: flex;
        width: 100vw;
        grid-template-columns: auto 1fr 1fr 1fr 1fr 1fr;
        z-index: 100;
    }

    nav ul {
        display: flex;
        width: 100vw;
        justify-content: space-between;
        list-style: none;
        background: var(--white);
        padding: 10px;
    }

    nav li {
        margin-bottom: 0.1em;
        margin-top: 0.5em;
        margin-right: 1em;
        margin-left: 1em;
        font-size: 1em;
    }

    nav li:nth-child(6) > a {
        color: var(--dark_green);
    }

    nav a {
        opacity: 1;
        position: relative;
        float: left;
        display: block;
        text-decoration: none;
        color: var(--black);
    }

    nav a::before {
        content: '';
        display: block;
        height: 2px;
        background: var(--dark_green);
        position: absolute;
        top: -.75em;
        left: 0;
        right: 0;
        transform: scale(0, 1);
        transition: transform ease-in-out 250ms;
        -webkit-transition: transform ease-in-out 250ms;
        -moz-transition: transform ease-in-out 250ms;
        -o-transition: transform ease-in-out 250ms;
        -ms-transition: transform ease-in-out 250ms;
    }

    nav a:hover::before {
        transform: scale(1, 1);
    }

    nav a:hover {
        color: var(--dark_green);
    }

    .welcome {
        font-size: 2rem;
    }

    .handwriting {
        font-size: 2.2rem;
    }
    

    .subhead::first-letter {
        font-size: 2.2rem;
        line-height: 5.5vh;
    }

    .subhead::first-letter {
        -webkit-initial-letter: 3;
                initial-letter: 3;
        margin-right: .1rem;
      }

    .wrapper {
          width: 80vw;
          height: 130vh;
          background-image: url(img/contactDesktop.png);
      }

    .contact-form {
        height: 80%;
        padding: 5rem;
    }

    .msg textarea {
        width: 40vw;
        height: 30vh;
        font-size: 1rem;
    }

    .input-fields {
        top: 30vh;
    }

    .input-fields .input {
        margin: 20px auto;
        width: 40vw;
        padding: 10px;
        font-size: 1rem;
    }

    input[type=checkbox] + label:before {
        width: 1.7rem;
        height: 1.7rem;
    }

    input[type=checkbox]:checked + label:before {
        font-size: 25px;
        padding-bottom: 15px;
    }

    .btn {
        background: var(--dark_green);
        padding: 15px;
        font-size: 1rem;
        width: 15vw;
        border: none;
        margin: auto;
        margin-top: 15px;
        box-shadow: 0px 3px 6px rgba(0, 0, 0, .4);
    }

    .btn:hover,
    .btn:active {
    background-color: #40A006;
    color: var(--white);
    box-shadow: 0px 3px 6px rgba(255, 255, 255, .4);
    transition: all .3s ease-out .3s;
}

    .number {
        font-size: 2rem;
        font-family: 'Libre Baskerville';
        color: var(--dark_green);
    }

    .go-up {
        width: auto;
        height: 60px;
    }

    footer li {
        padding: 0.7rem;
    }

    .contact_icon {
        width: 60px;
        height: 60px;
        margin-right: 15px;
        -webkit-transition: all .4s cubic-bezier(.22, .46, .5, .98);
        -moz-transition: all .4s cubic-bezier(.22, .46, .5, .98);
        -o-transition: all .4s cubic-bezier(.22, .46, .5, .98);
        -ms-transition: all .4s cubic-bezier(.22, .46, .5, .98);
        transition: all .4s cubic-bezier(.22, .46, .5, .98);
    }
    
    .contact_icon:hover,
    .contact_icon:active {
        transform: scale( 1.4);
    }

    footer p {
        font-size: 0.8rem;
    }
}